﻿using System.Diagnostics;

namespace SwipingSpike;

public partial class MainPage : ContentPage
{
	int count = 0;

	public MainPage()
	{
		InitializeComponent();

      string[] data = new string[500];
      for (int i = 0; i < data.Length; i++)
      {
         data[i] = $"String #{i + 1}";
      }

      _sfListView.ItemsSource = data;
   }

   private void Swipe1Clicked(object sender, EventArgs e)
   {
      Debug.WriteLine("Swipe 1 clicked");
      _sfListView.ResetSwipeItem();
   }

   private void Swipe2Clicked(object sender, EventArgs e)
   {
      Debug.WriteLine("Swipe 2 clicked");
      _sfListView.ResetSwipeItem();
   }

   private void SwipeItem_OnTapped(object sender, EventArgs e)
   {
      Debug.WriteLine("SwipeItem tapped");
   }

    private void _sfListView_ItemTapped(object sender, Syncfusion.Maui.ListView.ItemTappedEventArgs e)
    {
        Debug.WriteLine("SwipeItem tapped");
    }

    private void TapGestureRecognizer_Tapped(object sender, EventArgs e)
    {
        Debug.WriteLine("SwipeItem tapped");
    }
}

